Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.interceptor
Class CreateSessionInterceptor

    java.lang.Object
      com.opensymphony.xwork2.interceptor.AbstractInterceptor
          org.apache.struts2.interceptor.CreateSessionInterceptor

All Implemented Interfaces:
  Interceptor, java.io.Serializable

    public class CreateSessionInterceptor

extends AbstractInterceptor

This interceptor creates the HttpSession.

This is particular usefull when using the <@s.token> tag in freemarker templates. The tag do require that a HttpSession is already created since freemarker commits the response to the client immediately.

Interceptor parameters:

- none

- None

Example:

     <action name="someAction" class="com.examples.SomeAction">
         <interceptor-ref name="createSession"/>
         <interceptor-ref name="defaultStack"/>
         <result name="input">input_with_token_tag.ftl</result>
     </action>

Version:
  $Date: 2008-04-27 15:41:38 +0200 (Sun, 27 Apr 2008) $ $Id: CreateSessionInterceptor.java 651946 2008-04-27 13:41:38Z apetrelli $
See Also:
  Serialized Form

Constructor Summary
`CreateSessionInterceptor()`

Method Summary
`java.lang.String` | `intercept(ActionInvocation invocation)`

Methods inherited from class com.opensymphony.xwork2.interceptor.AbstractInterceptor
`destroy, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateSessionInterceptor

    public CreateSessionInterceptor()

Method Detail

### intercept

    public java.lang.String intercept(ActionInvocation invocation)
                               throws java.lang.Exception

  Specified by:
    `intercept` in interface `Interceptor`
  Specified by:
    `intercept` in class `AbstractInterceptor`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.